package com.cj.jiaqingjiayi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cj.jiaqingjiayi.model.domain.UserRating;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
* @author 高木
* @description 针对表【user_rating(用户评分)】的数据库操作Mapper
* @createDate 2024-12-02 14:14:23
* @Entity com.cj.jiaqingjiayi.model.domain.UserRating
*/
public interface UserRatingMapper extends BaseMapper<UserRating> {

    @Select("select avg(rating) from jqjy.user_rating where businessId = #{businessId}")
    Double findAvgByBusinessId(@Param("businessId") Long businessId);

    @Select("select avg(manicuristRating) from jqjy.user_rating where manicuristId = #{manicuristId}")
    Double findAvgByManicuristId(@Param("manicuristId") Long manicuristId);


}




