package com.cj.jiaqingjiayi.model.request.business;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家添加请求
 *
 * @TableName business
 */
@Data
public class BusinessAddRequest implements Serializable {


    @Serial
    private static final long serialVersionUID = 7762081065466040395L;

    /**
     * 账号
     */
    private String userAccount;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 服务方式
     */
    private Integer serviceMode;

    /**
     * 门店名
     */
    private String businessName;

    /**
     * 门店手机号
     */
    private String businessPhone;

    /**
     * 店铺详细地址
     */
    private String address;

    /**
     * 店主名
     */
    private String shopkeeper;

    /**
     * 营业执照
     */
    private String license;

    /**
     * 身份证正面
     */
    private String frontIdCard;

    /**
     * 身份证反面
     */
    private String backIdCard;

}
