package com.cj.jiaqingjiayi.model.request.manicuristSign;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ManicuristSignAddRequest {

    /**
     * 姓名
     */
    private String name;

    /**
     * 美甲师ID（关联美甲师表）
     */
    private Long manicuristId;

    /**
     * 门店名称
     */
    private String businessName;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 期望工资薪资
     */
    private BigDecimal salary;

    /**
     * 签约时长
     */
    private String signTime;

    /**
     * 工龄
     */
    private String tenure;

    /**
     * 美甲师等级
     */
    private String manicuristLv;
}
