package com.cj.jiaqingjiayi.model.request.recruitment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class RecruitmentUpdateRequest {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 门店名称
     */
    private String businessName;

    /**
     * 对美甲师的要求
     */
    private String requirements;

    /**
     * 美甲师薪资，示例: 5k-10k/月
     */
    private String salary;

    /**
     * 招聘美甲师数量
     */
    private Integer quantity;
}
