package com.cj.jiaqingjiayi.model.request.userRating;

import lombok.Data;

import java.io.Serializable;

@Data
public class UserRatingAddRequest implements Serializable {

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 美甲师ID（关联美甲师表）
     */
    private Long manicuristId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 图片
     */
    private String picture;

    /**
     * 评分
     */
    private Integer rating;

    /**
     * 美甲师评分
     */
    private Integer manicuristRating;

    /**
     * 评论
     */
    private String review;
}
