package com.cj.jiaqingjiayi.service;

import com.cj.jiaqingjiayi.model.domain.BusinessLevel;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author 高木
* @description 针对表【business_level】的数据库操作Service
* @createDate 2024-12-02 14:13:25
*/
public interface BusinessLevelService extends IService<BusinessLevel> {

    /**
     * 更新商家等级
     */
    void updateBusinessLevel(Long businessId);

    /**
     * 查询所有商家
     */
    List<BusinessLevel> findAllOrdered();

}
