package com.cj.jiaqingjiayi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cj.jiaqingjiayi.model.domain.Manicurist;
import com.cj.jiaqingjiayi.model.domain.Manicuristsign;
import com.cj.jiaqingjiayi.model.vo.ManicuristVO;
import com.cj.jiaqingjiayi.model.vo.ManicuristsignVO;
import com.cj.jiaqingjiayi.service.ManicuristsignService;
import com.cj.jiaqingjiayi.mapper.ManicuristsignMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
* @author 高木
* @description 针对表【manicuristsign(美甲师表)】的数据库操作Service实现
* @createDate 2025-02-26 19:29:22
*/
@Service
public class ManicuristsignServiceImpl extends ServiceImpl<ManicuristsignMapper, Manicuristsign>
    implements ManicuristsignService{

    @Override
    public ManicuristsignVO getManicuristsignVO(Manicuristsign manicuristsign) {
        if(manicuristsign == null ){
            return  null;
        }
        ManicuristsignVO manicuristsignVO = new ManicuristsignVO();
        BeanUtils.copyProperties(manicuristsign, manicuristsignVO);
        return manicuristsignVO;
    }

    @Override
    public List<ManicuristsignVO> getManicuristsignVO(List<Manicuristsign> manicuristsignList) {
        if(CollectionUtils.isEmpty(manicuristsignList)){
            return new ArrayList<>();
        }
        return manicuristsignList.stream().map(this::getManicuristsignVO).collect(Collectors.toList());
    }

}




