package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 商品分组表
 * @TableName commodities_group
 */
@TableName(value ="commodities_group")
@Data
public class CommoditiesGroup implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 商品分组名称
     */
    private String groupName;

    /**
     * 是否置顶:0不置顶,1置顶
     */
    private Integer isTopping;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}